### Method

# Ide Buffer get_file_settings

#### Declaration

    IdeFileSettings*
    ide_buffer_get_file_settings (
      IdeBuffer* self
    )

#### Description

Gets the `IdeBuffer:file-settings` property.

The `IdeFileSettings` are updated when changes to the file or language syntax are chnaged.

Available since: | 3.32

Gets property | `Ide.Buffer:file-settings`

#### Return value

Returns: | `IdeFileSettings`
| An `IdeFileSettings` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.